set autocommit on \g
\sql
create table site(
	site_id integer not null not default,
	company varchar(60) with null,
	postcode char(9) with null,
	city char(20) with null,
	country char(3) with null,
	phone varchar(20) with null,
	fax varchar(20) with null
)
with noduplicates
\p\g
copy site(
	site_id= c0tab,
	company= char(0)tab with null(']^NULL^['),
	postcode= char(0)tab with null(']^NULL^['),
	city= char(0)tab with null(']^NULL^['),
	country= char(0)tab with null(']^NULL^['),
	phone= char(0)tab with null(']^NULL^['),
	fax= char(0)nl with null(']^NULL^[')
	)
from 'site.dat'
\p\g
grant all on site to public
\p\g
create table contact(
	contact_id integer not null not default,
	site_id integer not null not default,
	name varchar(30) with null,
	first_name varchar(15) with null,
	phone_ext varchar(20) with null
)
with duplicates
\p\g
copy contact(
	contact_id= c0tab,
	site_id= c0tab,
	name= char(0)tab with null(']^NULL^['),
	first_name= char(0)tab with null(']^NULL^['),
	phone_ext= char(0)nl with null(']^NULL^[')
	)
from 'contact.dat'
\p\g
grant all on contact to public
\p\g
